# ChangeLog for media-sound/jack-audio-connection-kit
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/jack-audio-connection-kit/ChangeLog,v 1.83 2006/11/20 22:56:14 mr_bones_ Exp $

  20 Nov 2006; Michael Sterrett <mr_bones_@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  fix keyword revert from eldad

  18 Nov 2006; Eldad Zack <eldad@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild,
  jack-audio-connection-kit-0.102.20.ebuild:
  Fixed cpudetection to be aware of mmx and sse, and add the appropriate
  CFLAGS when used and enabled. Closes bug #153001

  13 Nov 2006; Joseph Jezak <josejx@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Marked ppc stable.

  11 Nov 2006; Michael Cummings <mcummings@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Marking amd64 stable, dep for mpd

  25 Oct 2006; Joshua Jackson <tsunam@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Stable x86; bug #150540

  22 Oct 2006; Markus Rothe <corsair@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Stable on ppc64; bug #150540

  20 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Stable on sparc wrt #150540

*jack-audio-connection-kit-0.102.20 (08 Oct 2006)

  08 Oct 2006; Eldad Zack <eldad@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild,
  +jack-audio-connection-kit-0.102.20.ebuild:
  Version bump, added cpudetection useflag (see bug #136565).

  08 Oct 2006; Eldad Zack <eldad@gentoo.org>
  -jack-audio-connection-kit-0.100.7-r2.ebuild,
  -jack-audio-connection-kit-0.101.1.ebuild:
  Purged old unused versions

  08 Oct 2006; Eldad Zack <eldad@gentoo.org> metadata.xml:
  Taking maintership

  12 Aug 2006; Markus Rothe <corsair@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Added ~ppc64; bug #141727

  11 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  jack-audio-connection-kit-0.101.1-r1.ebuild:
  Back to ~sparc

*jack-audio-connection-kit-0.101.1 (11 Jun 2006)

  11 Jun 2006; Eldad Zack <eldad@gentoo.org>
  +jack-audio-connection-kit-0.101.1.ebuild:
  Version bump

  22 May 2006; Eldad Zack <eldad@gentoo.org>
  -jack-audio-connection-kit-0.80.0.ebuild,
  -jack-audio-connection-kit-0.98.1-r1.ebuild,
  -jack-audio-connection-kit-0.100.0.ebuild,
  -jack-audio-connection-kit-0.100.0-r1.ebuild,
  -jack-audio-connection-kit-0.100.7.ebuild,
  -jack-audio-connection-kit-0.100.7-r1.ebuild:
  Versions cleanup. bug #133208.

  20 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  jack-audio-connection-kit-0.99.0-r1.ebuild:
  Drop comment that brought a false positive in bug #125506.

*jack-audio-connection-kit-0.100.7-r2 (23 Apr 2006)

  23 Apr 2006; Frank van de Pol <fvdpol@gentoo.org>
  +files/jack-audio-connection-kit-mmap_complex.patch,
  +jack-audio-connection-kit-0.100.7-r2.ebuild:
  Added support for MMAP_COMPLEX.

*jack-audio-connection-kit-0.100.7-r1 (01 Apr 2006)

  01 Apr 2006; Frank van de Pol <fvdpol@gentoo.org>
  +jack-audio-connection-kit-0.100.7-r1.ebuild:
  Added support for netjack

  05 Mar 2006; <keetz@gentoo.org> jack-audio-connection-kit-0.100.7.ebuild:
  add SSE/E3DNow mixing support when using sse. Hack to fix bug 125031.

  07 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  jack-audio-connection-kit-0.99.0-r1.ebuild,
  jack-audio-connection-kit-0.99.0-r2.ebuild,
  jack-audio-connection-kit-0.99.0-r3.ebuild,
  jack-audio-connection-kit-0.100.0.ebuild,
  jack-audio-connection-kit-0.100.0-r1.ebuild,
  jack-audio-connection-kit-0.100.7.ebuild:
  Cleanup arch crap in DEPEND (learn how to use use.mask people) and add arm
  support.

  12 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  jack-audio-connection-kit-0.100.0.ebuild:
  Remove USE=pic cruft.

*jack-audio-connection-kit-0.100.7 (10 Dec 2005)

  10 Dec 2005; Eldad Zack <eldad@gentoo.org>
  +jack-audio-connection-kit-0.100.7.ebuild:
  Version bump.

  28 Nov 2005; Luis Medinas <metalgod@gentoo.org>
  jack-audio-connection-kit-0.100.0-r1.ebuild:
  Added ~amd64 keyword. Closes bug #113542.

  19 Nov 2005; Matthias Schwarzott <zzam@gentoo.org>
  jack-audio-connection-kit-0.100.0-r1.ebuild:
  Added to ~x86

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org>
  jack-audio-connection-kit-0.99.0-r2.ebuild:
  Mark 0.99.0-r2 stable on alpha

*jack-audio-connection-kit-0.100.0-r1 (11 Sep 2005)

  11 Sep 2005; Kito <kito@gentoo.org>
  files/jack-audio-connection-kit-0.100.0-coreaudio.patch,
  +files/jack-audio-connection-kit-0.100.0-driver_interface.patch,
  +jack-audio-connection-kit-0.100.0-r1.ebuild:
  Updated coreaudio patch to allow for >32 character devicenames. 
  Make jackstart a symlink on >=2.6 kernels.

*jack-audio-connection-kit-0.100.0 (05 Aug 2005)

  05 Aug 2005; Kito <kito@gentoo.org>
  +files/jack-audio-connection-kit-transport.patch, metadata.xml,
  +jack-audio-connection-kit-0.100.0.ebuild:
  version bump. add IUSE coreaudio,mmx,pic,sndfile,sse. No more glib DEPEND.
  Fix altivec for Darwin assembler. Take over maintainership. ~ppc ~ppc-macos
  keywords until archs can test new drivers

*jack-audio-connection-kit-0.99.0-r3 (14 Jul 2005)

  14 Jul 2005; Frank van de Pol <fvdpol@gentoo.org>
  +jack-audio-connection-kit-0.99.0-r3.ebuild:
  Added fix to make jackstart dependent on caps flag. Thanks to Daniel Thaler
  <daniel@dthaler.de> for the patch. Closes bug #94887.

  13 Jun 2005; Joseph Jezak <josejx@gentoo.org>
  jack-audio-connection-kit-0.99.0-r1.ebuild:
  Marked ppc stable.

  21 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  +files/jack-audio-connection-kit-0.99.0-jackstart.patch,
  jack-audio-connection-kit-0.99.0-r2.ebuild:
  cleaned up the 0.99.0-r2 ebuild, added a patch to install the jackstart
  command (again). fixes #92895

  09 May 2005; Aron Griffis <agriffis@gentoo.org>
  jack-audio-connection-kit-0.99.0-r2.ebuild:
  stable on ia64

*jack-audio-connection-kit-0.99.0-r2 (02 May 2005)

  02 May 2005; Frank van de Pol <fvdpol@gentoo.org>
  +jack-audio-connection-kit-0.99.0-r2.ebuild:
  Install example-clients to jack documentation. Closes bug#91029.

  08 Apr 2005; Markus Rothe <corsair@gentoo.org>
  jack-audio-connection-kit-0.99.0-r1.ebuild:
  Stable on ppc64

  17 Feb 2005; Michael Hanselmann <hansmi@gentoo.org>
  jack-audio-connection-kit-0.99.0-r1.ebuild:
  Added to ~hppa.

*jack-audio-connection-kit-0.99.0-r1 (05 Dec 2004)

  05 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +jack-audio-connection-kit-0.99.0-r1.ebuild,
  -jack-audio-connection-kit-0.99.0.ebuild:
  Don't assume optimized... let users set CFLAGS... --enable-optimize breaks
  sometimes. Closes bug #73406.

  12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.99.0.ebuild:
  Stable amd64, x86.

  03 Nov 2004; Stephen P. Becker <geoman@gentoo.org>
  jack-audio-connection-kit-0.99.0.ebuild:
  added ~mips keyword

  19 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -jack-audio-connection-kit-0.91.1.ebuild,
  -jack-audio-connection-kit-0.94.0.ebuild:
  Removing old versions.

  27 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.99.0.ebuild:
  Gave warning about ABI changes.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.99.0.ebuild:
  Marking stable on sparc as it is the only version and many jack-capable
  packages are already stable on sparc. If it breaks, sorry... come bitch me
  out.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.99.0.ebuild:
  Added to ~sparc.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/jack-audio-connection-kit-configure.patch,
  jack-audio-connection-kit-0.99.0.ebuild:
  ebuild cleanup.  Readded missing archs to KEYWORDS.

*jack-audio-connection-kit-0.99.0 (22 Sep 2004)

  22 Sep 2004; kito@gentoo.org +jack-audio-connection-kit-0.99.0.ebuild:
  Version Bump. Initial support for ppc-macos native coreaudio driver

  02 Sep 2004; Tom Gall <tgall@gentoo.org> 
  jack-audio-connection-kit-0.98.1-r1.ebuild:
  stable on ppc64

  23 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -jack-audio-connection-kit-0.75.0.ebuild,
  -jack-audio-connection-kit-0.90.1-r1.ebuild,
  -jack-audio-connection-kit-0.90.1.ebuild:
  Removing old versions.  Moving auto* and doxygen out of RDEPEND.

  09 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.75.0.ebuild,
  jack-audio-connection-kit-0.80.0.ebuild,
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.90.1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild,
  jack-audio-connection-kit-0.94.0.ebuild,
  jack-audio-connection-kit-0.98.1-r1.ebuild,
  jack-audio-connection-kit-0.98.1.ebuild:
  Removed virtual/jack PROVIDE.

  09 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.98.1-r1.ebuild:
  -sparc

  24 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.98.1-r1.ebuild:
  Stable x86 amd64.

*jack-audio-connection-kit-0.98.1-r1 (22 May 2004)

  22 May 2004; Jon Hood <squinky86@gentoo.org>
  +jack-audio-connection-kit-0.98.1-r1.ebuild:
  add better tempdir support irt #50231

*jack-audio-connection-kit-0.98.1 (04 May 2004)

  04 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.94.0.ebuild,
  jack-audio-connection-kit-0.98.1.ebuild,
  files/jack-audio-connection-kit-0.98.1-configure.patch:
  0.94.0 Stable x86. 0.98.1 version bump closes bug #48840.

  20 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild,
  jack-audio-connection-kit-0.94.0.ebuild:
  Removed message about deprecated jack-caps USE flag.

  18 Apr 2004; Travis Tilley <lv@gentoo.org>
  jack-audio-connection-kit-0.90.1.ebuild:
  moving this from stable back into testing on amd64, as i cant even get this to
  work properly

  26 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.80.0.ebuild,
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.90.1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild,
  jack-audio-connection-kit-0.94.0.ebuild:
  inherit eutils.

  26 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild,
  jack-audio-connection-kit-0.94.0.ebuild:
  Changed jack-caps USE flag to caps

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org>
  jack-audio-connection-kit-0.94.0.ebuild:
  add ~alpha and ~ia64

*jack-audio-connection-kit-0.94.0 (04 Feb 2004)

  04 Feb 2004; Brian Harring <ferringb@gentoo.org>
  jack-audio-connection-kit-0.80.0.ebuild,
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.90.1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild,
  jack-audio-connection-kit-0.94.0.ebuild,
  files/jack-audio-connection-kit-doc-option.patch:
  Closing documentation installation bug 35749, affects all versions. Patch
  being sent upstream, if integrated the sys-devel/autoconf dep can be removed.

  01 Feb 2004; Brian Harring <ferringb@gentoo.org>
  jack-audio-connection-kit-0.80.0.ebuild,
  files/jack-audio-connection-kit-0.80.0-alsalib-fix.patch:
  Alsalib-1.0 compilation fix (39095)

  18 Dec 2003; Martin Holzer <mholzer@gentoo.org>
  jack-audio-connection-kit-0.75.0.ebuild,
  jack-audio-connection-kit-0.80.0.ebuild,
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.90.1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild:
  adding RESTRICT=nomirror

*jack-audio-connection-kit-0.90.1-r1 (09 Dec 2003)
*jack-audio-connection-kit-0.91.1 (09 Dec 2003)

  09 Dec 2003; <torbenh@gentoo.org> jack-audio-connection-kit-0.70.4.ebuild,
  jack-audio-connection-kit-0.71.1.ebuild,
  jack-audio-connection-kit-0.71.2-r1.ebuild,
  jack-audio-connection-kit-0.71.2.ebuild,
  jack-audio-connection-kit-0.74.1-r1.ebuild,
  jack-audio-connection-kit-0.74.1.ebuild,
  jack-audio-connection-kit-0.80.0.ebuild,
  jack-audio-connection-kit-0.90.1-r1.ebuild,
  jack-audio-connection-kit-0.91.1.ebuild, files/libsndfile-1.0.diff:
  Removed old versions.
  marked 0.80.0 stable
  Version bump
  Added jack-caps

*jack-audio-connection-kit-0.90.1 (02 Dec 2003)

  02 Dec 2003; rob holland <tigger@gentoo.org>
  jack-audio-connection-kit-0.90.1.ebuild:
  Version bump. Thanks to Kasper Souren <Kasper.Souren@ircam.fr>. Closes #34821

  29 Nov 2003; Brad House <brad_mssw@gentoo.org>
  jack-audio-connection-kit-0.80.0.ebuild:
  mark stable on amd64

  22 Sep 2003; <paul@gentoo.org> metadata.xml:
  Fix metadata.xml

*jack-audio-connection-kit-0.80.0 (16 Sep 2003)

  16 Sep 2003; rob holland <tigger@gentoo.org>
  jack-audio-connection-kit-0.80.0.ebuild:
  Added jack 0.80.0. Thanks to Kasper Souren <Kasper.Souren@ircam.fr> for the
  report. Closes #27534

*jack-audio-connection-kit-0.75.0 (24 Aug 2003)

  24 Aug 2003; rob holland <tigger@gentoo.org>
  jack-audio-connection-kit-0.75.0.ebuild:
  Version bump, thanks to Kasper Souren <Kasper.Souren@ircam.fr> for letting us
  know. Closes #27195

*jack-audio-connection-kit-0.74.1-r1 (24 Jul 2003)

  24 Jul 2003; torbenh <torbenh@gentoo.org> Manifest jack-audio-connection-kit-0.74.1-r1.ebuild jack-audio-connection-kit-0.74.1.ebuild files/digest-jack-audio-connection-kit-0.74.1-r1 :
  Added some flag-o-matic and sed to specify -march=xxx for the build.
  Fixed missing jack-tmpfs.
  this file is a merge between jack-audio-connection-kit-0.71.2-r1.ebuild
  and jack-audio-connection-kit-0.74.1.ebuild


*jack-audio-connection-kit-0.74.1 (22 Jul 2003)

  22 Jul 2003; Nick Hadaway <raker@gentoo.org>
  jack-audio-connection-kit-0.74.1.ebuild:
  Version bump.  Added doc and debug use variables.  Added TODO and 
  AUTHORS docs.  Updated depends.  Added some comments for other
  configure options.

*jack-audio-connection-kit-0.71.2-r1 (31 May 2003)

  31 May 2003; jje <jje@gentoo.org>
  jack-audio-connection-kit-0.71.2-r1.ebuild:
  Updated to be in sync with changes to jack-cvs ebuild.

*jack-audio-connection-kit-0.71.2 (18 May 2003)

  18 May 2003; jje <jje@gentoo.org> jack-audio-connection-kit-0.71.2.ebuild:
  Marked stable on x86.

  15 May 2003; torbenh <torbenh@gentoo.org> :
  Version bump.
  removed fltk dependency because fltk_client is no more included.
  changed to use correct econf, emake.

*jack-audio-connection-kit-0.71.1 (11 May 2003)

  11 May 2003; jje <jje@gentoo.org> jack-audio-connection-kit-0.71.1.ebuild:
  Version bump.

  09 May 2003; jje <jje@gentoo.org>
  jack-audio-connection-kit-0.34.0-r2.ebuild,
  jack-audio-connection-kit-0.50.0.ebuild,
  jack-audio-connection-kit-0.61.0.ebuild:
  Removed out of date ebuilds. Marked 0.70.4 as stable on ~x86.

*jack-audio-connection-kit-0.70.4 (07 May 2003)

  07 May 2003; jje <jje@gentoo.org> jack-audio-connection-kit-0.70.4.ebuild:
  Version bump.

*jack-audio-connection-kit-0.61.0 (07 Mar 2003)

  07 Mar 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump.

*jack-audio-connection-kit-0.50.0 (01 Mar 2003)

  01 Mar 2003;  <jje@gentoo.org> jack-audio-connection-kit-0.50.0.ebuild files/digest-jack-audio-connection-kit-0.50.0 :
  Added updated jack build for latest jack release 0.50.0.

*jack-audio-connection-kit-0.34.0-r2 (30 Oct 2002)

  07 Jan 2002; Nick Hadaway <raker@gentoo.org> :
  Now provides virtual/jack.

  02 Jan 2002; Nick Hadaway <raker@gentoo.org> :
  add a depend that stops installation if jack-cvs is installed.

  30 Oct 2002; Nick Hadaway <raker@gentoo.org>
  jack-audio-connection-kit-0.34.0-r2.ebuild,
  files/digest-jack-audio-connection-kit-0.34.0-r2,
  files/libsndfile-1.0.diff :
  libsndfile-1.0.? compatible ebuild.  Masked until libsndfile-1.0.? is
  unmasked.

*jack-audio-connection-kit-0.34.0-r1 (26 Oct 2002)

  26 Oct 2002; Nick Hadaway <raker@gentoo.org>
  jack-audio-connection-kit-0.34.0-r1.ebuild,
  files/digest-jack-audio-connection-kit-0.34.0-r1 :
  Added dependancies info for fltk and libsndfile.  Added fixes for
  detecting the fltk libraries.

*jack-audio-connection-kit-0.34.0 (6 Jun 2002)

  6 Jun 2002; Ryan Shaw <ryan.shaw@stanfordalumni.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
